package chapter2;

import java.util.Scanner;

public class SuperMarket {
    /*
     * 模拟商城购物小系统：
     * 1.用户选择商品后，后台计算商品价格；
     * 2.使用while循环实现用户多次购买商品。
     */
    public static void main(String[] args) {
        double cup = 18.8;          //水杯价格
        double apple = 12.5;        //苹果价格
        double banana = 15.5;       //香蕉价格
        int i = 0;                  // 用户购买的商品序列

        String continueShopping = "Y";  // 是否继续购物
        System.out.println("==============天津现代小卖部================");
        System.out.println("1.水杯的价格为：" + cup + "元");
        System.out.println("2.苹果的价格为：" + apple + "元");
        System.out.println("3.香蕉的价格为：" + banana + "元");

        while (continueShopping.equals("Y")) {
            Scanner sc1 = new Scanner(System.in);
            System.out.println("请输入你需要购买商品的序列号：");
            i = sc1.nextInt();

            switch (i) {
                case 1:
                    System.out.println("请输入你需要购买水杯的数量:");
                    int cupnumber = sc1.nextInt();
                    double cupnum = cupnumber * cup;
                    System.out.println("你购买了水杯" + cupnumber + "个，需要花费" + cupnum + "元");
                    break;
                case 2:
                    System.out.println("请输入你需要购买苹果的数量:");
                    int applenumber = sc1.nextInt();
                    double applenum = applenumber * apple;
                    System.out.println("你购买了苹果" + applenumber + "斤，需要花费" + applenum + "元");
                    break;
                case 3:
                    System.out.println("请输入你需要购买香蕉的数量:");
                    int banananumber = sc1.nextInt();
                    double banananum = banananumber * banana;
                    System.out.println("你购买了香蕉" + banananumber + "斤，需要花费" + banananum + "元");
                    break;
            }

            System.out.println("需要继续购买请输入Y，否则输入N");
            continueShopping = sc1.next();
        }

        System.out.println("期待您的下次光临！");
    }
}
